/***************************************************************************
                          kmol.h  -  description
                             -------------------
    begin                : Sat Feb 23 01:25:08 PST 2002
    copyright            : (C) 2002 by Tomislav Gountchev
    email                : tomi@idiom.com
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef KMOL_H
#define KMOL_H
 

#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

// include files for Qt

// include files for KDE 
#include <kapp.h>
#include <kmainwindow.h>
#include <kaccel.h>
#include <kaction.h>
#include <kurl.h>

// forward declaration of the KMol classes
class KMolWidget;

/**
  * The base class for KMol application windows. It sets up the main
  * window and reads the config file as well as providing a menubar, toolbar
  * and statusbar. An instance of KMolView creates your center view, which is connected
  * to the window's Doc object.
  * KMol reimplements the methods that KMainWindow provides for main window handling and supports
  * full session management as well as using KActions.
  * @see KMainWindow
  * @see KApplication
  * @see KConfig
  *
  * @author Source Framework Automatically Generated by KDevelop, (c) The KDevelop Team.
  * @version KDevelop version 1.2 code generation
  */
class KMol : public KMainWindow
{
  Q_OBJECT

  friend class KMolWidget;

  public:
    /** construtor of KMolApp, calls all init functions to create the application.
     */
    KMol(QWidget* parent=0, const char* name=0);
    ~KMol();

  protected:
    void initActions();
    /** creates the centerwidget of the KTMainWindow instance and sets it as the view
     */
    void initView();
    void saveOptions();
    void readOptions();
    virtual bool queryExit();

  public slots:
  	void quit();
  	
   private:
    /** view is the main widget which represents your working area. The View
     * class should handle all events of the view widget.  It is kept empty so
     * you can create your view according to your application's needs by
     * changing the view class.
     */
    KMolWidget *view;

    KConfig *config;

    // KAction pointers to enable/disable actions
    //KAction* fileQuit;
};
 
#endif // KMOL_H
